Aplicaciones y juegos Flatpak construidos con OpenGL para trabajar con controladores de gráficos Nvidia

Algunas aplicaciones y juegos creados con OpenGL admiten y empaquetan, ya que Flatpak no puede iniciarse con los controladores patentados de Nvidia. Este artículo explica cómo iniciar dichas aplicaciones Flatpak o juegos para que comiencen, sin usar los controladores de código abierto (Nouveau).

Aquí hay un ejemplo. Estoy usando los controladores patentados de Nvidia en mi escritorio Ubuntu 18.04 (nvidia-driver-390) y cuando intento lanzar la última Krita 4.1 instalada como Flatpak (que está construida con soporte OpenGL), se muestran los siguientes errores:

$ /usr/bin/flatpak run --branch=stable --arch=x86_64 --command=krita --file-forwarding org.kde.krita
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast
Could not initialize GLX

Winepak games (Los juegos de Windows incluidos con los paquetes de Wine como Flatpak) también parecen afectados por este problema de Flatpak, que sigue abierto desde 2016.

Para arreglar los juegos Flatpak y las aplicaciones que no se inician al usar OpenGL con los controladores de gráficos Nvidia patentados, deberás instalar Runtime para los controladores patentados de Nvidia. He aquí cómo hacer esto.

1. Agrega el repositorio de FlatHub si aún no lo has hecho. Puedes encontrar instrucciones exactas para tu distribución de Linux aquí.

2. Ahora necesitarás averiguar la versión exacta de los controladores patentados de Nvidia instalados en tu sistema.

Este paso depende de la distribución de Linux que estás utilizando y no puedo cubrir todos los casos. Las instrucciones a continuación están orientadas a Ubuntu (y a los sabores de Ubuntu), pero ojalá pueda descubrir por ti mismo la versión de los controladores Nvidia instalada en tu sistema.

Para hacer esto en Ubuntu, abre Software & Updates, cambia a la pestaña Drivers adicionales y anota el nombre del paquete de controladores de Nvidia.

Como ejemplo, este es nvidia-driver-390 en mi caso, como puedes ver aquí:

 

 

 

 

 

 

 

 

 

 

 

 

Eso no es todo. Solo descubrimos la versión principal de los controladores de Nvidia, pero también necesitaremos conocer la versión menor. Para obtener la versión exacta del controlador Nvidia, que necesitaremos para el próximo paso, ejecuta este comando (debería funcionar en cualquier distribución Linux basada en Debian, como Ubuntu, Linux Mint, etc.):


apt-cache policy NVIDIA-PACKAGE-NAME

Donde NVIDIA-PACKAGE-NAME es el nombre del paquete de controladores Nvidia que figura en Software y actualizaciones. Por ejemplo, para ver la versión exacta instalada del paquete nvidia-driver-390, ejecuta este comando:


$ apt-cache policy nvidia-driver-390
nvidia-driver-390:
  Installed: 390.48-0ubuntu3
  Candidate: 390.48-0ubuntu3
  Version table:
 *** 390.48-0ubuntu3 500
        500 http://ro.archive.ubuntu.com/ubuntu bionic/restricted amd64 Packages
        100 /var/lib/dpkg/status

En la salida de este comando, busca la sección Instalados y ten en cuenta los números de versión (excepto -0ubuntu3 y cualquier cosa similar). Ahora sabemos la versión exacta de los controladores Nvidia instalados (390.48 en mi ejemplo). Recuerda esto porque lo necesitaremos para el siguiente paso.

3. Y finalmente, puedes instalar Nvidia Runtime para los controladores de gráficos Nvidia, desde FlatHub

Para enumerar todos los paquetes de tiempo de ejecución de Nvidia disponibles en FlatHub, puedes usar este comando:


flatpak remote-ls flathub | grep nvidia

Afortunadamente, Nvidia Runtime está disponible en FlatHub. Ahora puedes proceder a instalarlo utilizando este comando:

Para sistemas de 64 bits:


flatpak install flathub org.freedesktop.Platform.GL.nvidia-MAJORVERSION-MINORVERSION

Reemplaza MAJORVERSION con la versión principal del controlador Nvidia instalada en tu sistema (390 en mi ejemplo anterior) y
MINORVERSIÓN con la versión menor (48 en mi ejemplo del paso 2).

Por ejemplo, para instalar Runtime de Nvidia versión 390.48, deberías usar este comando:


flatpak install flathub org.freedesktop.Platform.GL.nvidia-390-48

Para sistemas de 32 bits (o para poder ejecutar aplicaciones de 32 bits o juegos en 64 bits), instala Runtime de 32 bits usando:


flatpak install flathub org.freedesktop.Platform.GL32.nvidia-MAJORVERSION-MINORVERSION

Una vez más, reemplaza MAJORVERSION con la versión principal del controlador Nvidia instalada en tu máquina (390 en mi ejemplo anterior) y MINORVERSION con la versión menor (48 en mi ejemplo desde el paso 2).

Por ejemplo, para instalar en 32 bits el controlador de gráficos Nvidia versión 390.48, tendrías que usar este comando:


flatpak install flathub org.freedesktop.Platform.GL32.nvidia-390-48

Original: linuxuprising.com

Comparte

(Artículo visitado 4 veces, 1 visitas hoy)

Responder

avatar
Photo and Image Files
 
 
 
Audio and Video Files
 
 
 
Other File Types
 
 
 

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.

  Suscribirse  
Notificarme de